
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: elfutils: improve ARM support somewhat

The ARM support in elfutils is somewhat lacking.  This patch sends
it into the right general direction -- although it's then still not
entirely there yet.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/elfutils.spec
===================================================================
--- SPECS.orig/elfutils.spec
+++ SPECS/elfutils.spec
@@ -18,9 +18,9 @@ Summary: A collection of utilities and D
 Name: elfutils
 Version: %{eu_version}
 %if !%{compat}
-Release: %{eu_release}%{?dist}
+Release: %{eu_release}%{?dist}.fa1
 %else
-Release: 0.%{eu_release}
+Release: 0.%{eu_release}.fa1
 %endif
 License: GPLv2 with exceptions
 Group: Development/Tools
@@ -36,6 +36,7 @@ Source2: testfile16.symtab.bz2
 Source3: testfile16.symtab.debug.bz2
 
 Patch3: elfutils-0.130-fixes.patch
+Patch4: elfutils-0.130-arm-backend.patch
 
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -158,6 +159,8 @@ find . \( -name configure -o -name confi
 
 %patch3 -p0
 
+%patch4 -p1
+
 %build
 # Remove -Wall from default flags.  The makefiles enable enough warnings
 # themselves, and they use -Werror.  Appending -Wall defeats the cases where
@@ -190,8 +193,10 @@ chmod +x ${RPM_BUILD_ROOT}%{_prefix}/%{_
   rm -f .%{_libdir}/libasm.a
 }
 
+%ifnarch %{arm}
 %check
 make -s check
+%endif
 
 %clean
 rm -rf ${RPM_BUILD_ROOT}
